package com.yonge.cooleshow.biz.dal.entity;


import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;

/**
 * 老师课酬表(CourseScheduleTeacherSalary)表实体类
 *
 * @author zx
 * @since 2022-03-23 16:01:11
 */
@ApiModel(value = "course_schedule_teacher_salary-老师课酬表")
public class CourseScheduleTeacherSalary implements Serializable {
    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键;")
    private Long id;

    @TableField("teacher_id_")
    @ApiModelProperty(value = "老师编号")
    private Long teacherId;

    @TableField("student_id_")
    @ApiModelProperty(value = "学生编号")
    private Long studentId;

    @TableField("course_schedule_id_")
    @ApiModelProperty(value = "课程编号")
    private Long courseScheduleId;

    @TableField("course_group_type_")
    @ApiModelProperty(value = "课程组类型PRACTICE、LIVE")
    private String courseGroupType;

    @TableField("course_group_id_")
    @ApiModelProperty(value = "课程组编号")
    private Long courseGroupId;

    @TableField("class_num_")
    @ApiModelProperty(value = "课堂数")
    private Integer classNum;

    @TableField("expect_salary_")
    @ApiModelProperty(value = "预计薪水")
    private BigDecimal expectSalary;

    @TableField("actual_salary_")
    @ApiModelProperty(value = "实际薪水")
    private BigDecimal actualSalary;

    @TableField("reduce_salary_")
    @ApiModelProperty(value = "扣除薪水")
    private BigDecimal reduceSalary;

    @TableField("reduce_salary_remark_")
    @ApiModelProperty(value = "扣除薪水原因")
    private String reduceSalaryRemark;

    @TableField("settlement_time_")
    @ApiModelProperty(value = "结算时间")
    private Date settlementTime;

    @TableField("create_time_")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @TableField("update_time_")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @TableField("status_")
    @ApiModelProperty(value = "TeacherSalaryEnum 未上课、待结算、已结算、已取消 ")
    private String status;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Long teacherId) {
        this.teacherId = teacherId;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public Long getCourseScheduleId() {
        return courseScheduleId;
    }

    public void setCourseScheduleId(Long courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
    }

    public String getCourseGroupType() {
        return courseGroupType;
    }

    public void setCourseGroupType(String courseGroupType) {
        this.courseGroupType = courseGroupType;
    }

    public Long getCourseGroupId() {
        return courseGroupId;
    }

    public void setCourseGroupId(Long courseGroupId) {
        this.courseGroupId = courseGroupId;
    }

    public Integer getClassNum() {
        return classNum;
    }

    public void setClassNum(Integer classNum) {
        this.classNum = classNum;
    }

    public BigDecimal getExpectSalary() {
        return expectSalary;
    }

    public void setExpectSalary(BigDecimal expectSalary) {
        this.expectSalary = expectSalary;
    }

    public BigDecimal getActualSalary() {
        return actualSalary;
    }

    public void setActualSalary(BigDecimal actualSalary) {
        this.actualSalary = actualSalary;
    }

    public BigDecimal getReduceSalary() {
        return reduceSalary;
    }

    public void setReduceSalary(BigDecimal reduceSalary) {
        this.reduceSalary = reduceSalary;
    }

    public String getReduceSalaryRemark() {
        return reduceSalaryRemark;
    }

    public void setReduceSalaryRemark(String reduceSalaryRemark) {
        this.reduceSalaryRemark = reduceSalaryRemark;
    }

    public Date getSettlementTime() {
        return settlementTime;
    }

    public void setSettlementTime(Date settlementTime) {
        this.settlementTime = settlementTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}

